Bug 122329 - CVE CAN-2004-0421 - possible out-of-bounds read in the error message handler
Summary: CVE CAN-2004-0421 - possible out-of-bounds read in the error message handler
Status: CLOSED DUPLICATE of bug 121750
Alias: None
Product: Fedora
Classification: Fedora
Component: libpng (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL: http://www.securitytracker.com/alerts...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-03 11:21 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 19:02:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-05-03 11:21:09 UTC
Description of problem:
CVE CAN-2004-0421 - possible out-of-bounds read in the error message 
handler, see http://www.securitytracker.com/alerts/2004/Apr/1009991.html

Version-Release number of selected component (if applicable):
libpng-1.2.2

Actual results:
See bug #121229 (same issue at RHEL) and bug #121750 (update to 1.2.5
and same issue at Fedora Core 2/Development Tree).

Expected results:
Fix (and optional a upgrade to 1.2.5).

Additional info:
A rebuild from RHEL's latest libpng should work as well as a rebuild
of the solution described in #121750.

Comment 1 Mark J. Cox 2004-05-06 09:36:31 UTC

*** This bug has been marked as a duplicate of 121750 ***

Comment 2 Red Hat Bugzilla 2006-02-21 19:02:58 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.